/* 
   This file is public domain.

   The data is a matter of public record, and comes from
   http://www.dp-praha.cz  2007
 */


DROP TABLE IF EXISTS sqltutor_data.zastavky CASCADE;
DROP TABLE IF EXISTS sqltutor_data.linky    CASCADE;

CREATE TABLE sqltutor_data.zastavky (
        id       INTEGER PRIMARY KEY,
        zastavka VARCHAR(30)
);

CREATE TABLE sqltutor_data.linky (
        linka       INTEGER,
        smer        INTEGER CHECK (smer IN (1, 2)),
        poradi      INTEGER,
        zastavka_id INTEGER REFERENCES sqltutor_data.zastavky(id) NOT NULL,
        PRIMARY KEY (linka, smer, poradi)
);

BEGIN;

INSERT INTO sqltutor_data.zastavky (id, zastavka) VALUES
       (1,   'Albertov'),
       (2,   'Anděl'),
       (3,   'Arbesovo náměstí'),
       (4,   'Balabenka'),
       (5,   'Baterie'),
       (6,   'Belárie'),
       (7,   'Bertramka'),
       (8,   'Bílá Hora'),
       (9,   'Bílá labuť'),
       (10,  'Biskupcova'),
       (11,  'Blatiny'),
       (12,  'Bořislavka'),
       (13,  'Botanická zahrada'),
       (14,  'Braunova'),
       (15,  'Břevnovský klášter'),
       (16,  'Březiněveská'),
       (17,  'Bruselská'),
       (18,  'Brusnice'),
       (19,  'Bulovka'),
       (20,  'Čechova čtvrť'),
       (21,  'Čechovo náměstí'),
       (22,  'Čechův most'),
       (23,  'Černokostelecká'),
       (24,  'Černý kůň'),
       (25,  'Červený Vrch'),
       (26,  'Chaplinovo náměstí'),
       (27,  'Chmelnice'),
       (28,  'Chodovská'),
       (29,  'Chotkovy sady'),
       (30,  'ČSAD Smíchov'),
       (31,  'Dejvická'),
       (32,  'Dělnická'),
       (33,  'Depo Hostivař'),
       (34,  'Divadlo Na Fidlovačce'),
       (35,  'Divadlo Pod Palmovkou'),
       (36,  'Divoká Šárka'),
       (37,  'Dlouhá třída'),
       (38,  'Drinopol'),
       (39,  'Dvorce'),
       (40,  'Flora'),
       (41,  'Florenc'),
       (42,  'Geologická'),
       (43,  'Hadovka'),
       (44,  'Hellichova'),
       (45,  'Hercovka'),
       (46,  'Hlavní nádraží'),
       (47,  'Hloubětín'),
       (48,  'Hlubočepy'),
       (49,  'Hlušičkova'),
       (50,  'Horky'),
       (51,  'Horoměřická'),
       (52,  'Hostivařská'),
       (53,  'Hotel Golf'),
       (54,  'Hradčanská'),
       (55,  'Husinecká'),
       (56,  'Invalidovna'),
       (57,  'I. P. Pavlova'),
       (58,  'Italská'),
       (59,  'Jana Masaryka'),
       (60,  'Jindřišská'),
       (61,  'Jiráskovo náměstí'),
       (62,  'Jiřího z Poděbrad'),
       (63,  'Kamenická'),
       (64,  'Karlínské náměstí'),
       (65,  'Karlovo náměstí'),
       (66,  'Karlovy lázně'),
       (67,  'Kavalírka'),
       (68,  'K Barrandovu'),
       (69,  'Kbelská'),
       (70,  'Ke Stírce'),
       (71,  'Klamovka'),
       (72,  'Kněžská luka'),
       (73,  'Kobylisy'),
       (74,  'Koh-i-noor'),
       (75,  'Kolbenova'),
       (76,  'Kotlářka'),
       (77,  'Královský letohrádek'),
       (78,  'Krejcárek'),
       (79,  'Krematorium Motol'),
       (80,  'Krematorium Strašnice'),
       (81,  'Křižíkova'),
       (82,  'Křížová'),
       (83,  'Krymská'),
       (84,  'Kubánské náměstí'),
       (85,  'Kublov'),
       (86,  'Kyselova'),
       (87,  'Ládví'),
       (88,  'Laurová'),
       (89,  'Lazarská'),
       (90,  'Lehovec'),
       (91,  'Letenské náměstí'),
       (92,  'Levského'),
       (93,  'Libeňský most'),
       (94,  'Líbeznická'),
       (95,  'Lihovar'),
       (96,  'Lipanská'),
       (97,  'Lotyšská'),
       (98,  'Malešická továrna'),
       (99,  'Malostranská'),
       (100, 'Malostranské náměstí'),
       (101, 'Malovanka'),
       (102, 'Malý Břevnov'),
       (103, 'Maniny'),
       (104, 'Marjánka'),
       (105, 'Masarykovo nádraží'),
       (106, 'Mezi Hřbitovy'),
       (107, 'Michelská'),
       (108, 'Modřanská rokle'),
       (109, 'Modřanská škola'),
       (110, 'Moráň'),
       (111, 'Motol'),
       (112, 'Muzeum'),
       (113, 'Myslíkova'),
       (114, 'Nábřeží Kapitána Jaroše'),
       (115, 'Nad Džbánem'),
       (116, 'Nademlejnská'),
       (117, 'Nad Primaskou'),
       (118, 'Nádraží Braník'),
       (119, 'Nádraží Holešovice'),
       (120, 'Nádraží Hostivař'),
       (121, 'Nádraží Libeň'),
       (122, 'Nádraží Modřany'),
       (123, 'Nádraží Strašnice'),
       (124, 'Nádraží Veleslavín'),
       (125, 'Nádraží Vršovice'),
       (126, 'Nádraží Vysočany'),
       (127, 'Nad Trojou'),
       (128, 'Na Groši'),
       (129, 'Na Homoli'),
       (130, 'Na Hroudě'),
       (131, 'Nákladové nádraží Žižkov'),
       (132, 'Na Knížecí'),
       (133, 'Náměstí Bratří Synků'),
       (134, 'Náměstí Míru'),
       (135, 'Náměstí Republiky'),
       (136, 'Na Padesátém'),
       (137, 'Národní divadlo'),
       (138, 'Národní třída'),
       (139, 'Na Veselí'),
       (140, 'Nové Strašnice'),
       (141, 'Nový Hloubětín'),
       (142, 'Nuselská radnice'),
       (143, 'Nuselské schody'),
       (144, 'Obchodní dům Petřiny'),
       (145, 'Oblouková'),
       (146, 'Ocelářská'),
       (147, 'Ohrada'),
       (148, 'Okrouhlická'),
       (149, 'Olšanská'),
       (150, 'Olšanské hřbitovy'),
       (151, 'Olšanské náměstí'),
       (152, 'Ořechovka'),
       (153, 'Orionka'),
       (154, 'Ortenovo náměstí'),
       (155, 'Ostrčilovo náměstí'),
       (156, 'Otakarova'),
       (157, 'Palackého náměstí'),
       (158, 'Palmovka'),
       (159, 'Palouček'),
       (160, 'Perunova'),
       (161, 'Petřiny'),
       (162, 'Plynárna Michle'),
       (163, 'Plzeňka'),
       (164, 'Pobřežní cesta'),
       (165, 'Podbaba'),
       (166, 'Pod Jezerkou'),
       (167, 'Pod Karlovem'),
       (168, 'Podkovářská'),
       (169, 'Podolská vodárna'),
       (170, 'Pohořelec'),
       (171, 'Poliklinika Barrandov'),
       (172, 'Poliklinika Modřany'),
       (173, 'Poliklinika Vysočany'),
       (174, 'Poštovka'),
       (175, 'Poštovská'),
       (176, 'Prašný most'),
       (177, 'Právnická fakulta'),
       (178, 'Pražská tržnice'),
       (179, 'Pražského povstání'),
       (180, 'Pražský hrad'),
       (181, 'Přístaviště'),
       (182, 'Průběžná'),
       (183, 'Radhošťská'),
       (184, 'Radlická'),
       (185, 'Radošovická'),
       (186, 'Říčanova'),
       (187, 'Ruská'),
       (188, 'Sazka arena'),
       (189, 'Sibeliova'),
       (190, 'Sídliště Barrandov'),
       (191, 'Sídliště Červený Vrch'),
       (192, 'Sídliště Ďáblice'),
       (193, 'Sídliště Hloubětín'),
       (194, 'Sídliště Modřany'),
       (195, 'Sídliště Řepy'),
       (196, 'Sídliště Zahradní Město'),
       (197, 'Škola Radlice'),
       (198, 'Slánská'),
       (199, 'Slavia'),
       (200, 'Smíchovské nádraží'),
       (201, 'Solidarita'),
       (202, 'Sparta'),
       (203, 'Špitálská'),
       (204, 'Spojovací'),
       (205, 'Spořilov'),
       (206, 'Staroměstská'),
       (207, 'Starý Hloubětín'),
       (208, 'Stejskalova'),
       (209, 'Štěpánská'),
       (210, 'Štěpničná'),
       (211, 'Strašnická'),
       (212, 'Strážní'),
       (213, 'Střelničná'),
       (214, 'Strossmayerovo náměstí'),
       (215, 'Šumavská'),
       (216, 'Švandovo divadlo'),
       (217, 'Svatoplukova'),
       (218, 'Teplárna Michle'),
       (219, 'Těšnov'),
       (220, 'Thákurova'),
       (221, 'Třebenická'),
       (222, 'Trojská'),
       (223, 'Tusarova'),
       (224, 'U Elektry'),
       (225, 'Újezd'),
       (226, 'U Kaštanu'),
       (227, 'U Kříže'),
       (228, 'U Libušského potoka'),
       (229, 'U Průhonu'),
       (230, 'Urxova'),
       (231, 'Ústřední dílny DP'),
       (232, 'U Svobodárny'),
       (233, 'U Zvonu'),
       (234, 'Václavské náměstí'),
       (235, 'Vápenka'),
       (236, 'Veletržní'),
       (237, 'Větrník'),
       (238, 'Vinice'),
       (239, 'Vinohradská tržnice'),
       (240, 'Vinohradská vodárna'),
       (241, 'Vinohradské hřbitovy'),
       (242, 'Vítězné náměstí'),
       (243, 'Vltavská'),
       (244, 'Vodičkova'),
       (245, 'Vojenská nemocnice'),
       (246, 'Vosmíkových'),
       (247, 'Vozovna Kobylisy'),
       (248, 'Vozovna Motol'),
       (249, 'Vozovna Pankrác'),
       (250, 'Vozovna Strašnice'),
       (251, 'Vozovna Střešovice'),
       (252, 'Vozovna Vokovice'),
       (253, 'Vršovické náměstí'),
       (254, 'Vychovatelna'),
       (255, 'Vypich'),
       (256, 'Vysočanská'),
       (257, 'Výstaviště'),
       (258, 'Výtoň'),
       (259, 'Zahradní Město'),
       (260, 'Zborovská'),
       (261, 'Zborov - Strašnické divadlo'),
       (262, 'Želivského'),
       (263, 'Zlíchov');

INSERT INTO sqltutor_data.linky (linka, smer, poradi, zastavka_id) VALUES
       (1, 1, 1, 161),
       (1, 1, 2, 144),
       (1, 1, 3, 237),
       (1, 1, 4, 245),
       (1, 1, 5, 5),
       (1, 1, 6, 152),
       (1, 1, 7, 189),
       (1, 1, 8, 251),
       (1, 1, 9, 176),
       (1, 1, 10, 54),
       (1, 1, 11, 29),
       (1, 1, 12, 22),
       (1, 1, 13, 214),
       (1, 1, 14, 243),
       (1, 1, 15, 178),
       (1, 1, 16, 32),
       (1, 1, 17, 103),
       (1, 1, 18, 93),
       (1, 1, 19, 158),
       (1, 1, 20, 78),
       (1, 1, 21, 147),
       (1, 1, 22, 235),
       (1, 1, 23, 212),
       (1, 1, 24, 27),
       (1, 1, 25, 72),
       (1, 1, 26, 204),
       (1, 2, 1, 204),
       (1, 2, 2, 72),
       (1, 2, 3, 27),
       (1, 2, 4, 212),
       (1, 2, 5, 235),
       (1, 2, 6, 147),
       (1, 2, 7, 78),
       (1, 2, 8, 158),
       (1, 2, 9, 93),
       (1, 2, 10, 103),
       (1, 2, 11, 223),
       (1, 2, 12, 178),
       (1, 2, 13, 243),
       (1, 2, 14, 214),
       (1, 2, 15, 114),
       (1, 2, 16, 22),
       (1, 2, 17, 99),
       (1, 2, 18, 29),
       (1, 2, 19, 54),
       (1, 2, 20, 176),
       (1, 2, 21, 251),
       (1, 2, 22, 189),
       (1, 2, 23, 152),
       (1, 2, 24, 5),
       (1, 2, 25, 245),
       (1, 2, 26, 237),
       (1, 2, 27, 144),
       (1, 2, 28, 161),
       (2, 1, 1, 161),
       (2, 1, 2, 144),
       (2, 1, 3, 237),
       (2, 1, 4, 245),
       (2, 1, 5, 5),
       (2, 1, 6, 152),
       (2, 1, 7, 189),
       (2, 1, 8, 251),
       (2, 1, 9, 176),
       (2, 1, 10, 242),
       (2, 1, 11, 31),
       (2, 1, 12, 220),
       (2, 1, 13, 43),
       (2, 1, 14, 12),
       (2, 1, 15, 51),
       (2, 1, 16, 191),
       (2, 1, 17, 25),
       (2, 2, 1, 25),
       (2, 2, 2, 191),
       (2, 2, 3, 51),
       (2, 2, 4, 12),
       (2, 2, 5, 43),
       (2, 2, 6, 220),
       (2, 2, 7, 31),
       (2, 2, 8, 242),
       (2, 2, 9, 176),
       (2, 2, 10, 251),
       (2, 2, 11, 189),
       (2, 2, 12, 152),
       (2, 2, 13, 5),
       (2, 2, 14, 245),
       (2, 2, 15, 237),
       (2, 2, 16, 144),
       (2, 2, 17, 161),
       (3, 1, 1, 92),
       (3, 1, 2, 194),
       (3, 1, 3, 108),
       (3, 1, 4, 228),
       (3, 1, 5, 172),
       (3, 1, 6, 20),
       (3, 1, 7, 122),
       (3, 1, 8, 109),
       (3, 1, 9, 6),
       (3, 1, 10, 24),
       (3, 1, 11, 118),
       (3, 1, 12, 164),
       (3, 1, 13, 181),
       (3, 1, 14, 39),
       (3, 1, 15, 85),
       (3, 1, 16, 169),
       (3, 1, 17, 258),
       (3, 1, 18, 157),
       (3, 1, 19, 157),
       (3, 1, 20, 65),
       (3, 1, 21, 89),
       (3, 1, 22, 244),
       (3, 1, 23, 234),
       (3, 1, 24, 60),
       (3, 1, 25, 105),
       (3, 1, 26, 9),
       (3, 1, 27, 219),
       (3, 1, 28, 243),
       (3, 1, 29, 243),
       (3, 1, 30, 178),
       (3, 1, 31, 32),
       (3, 1, 32, 103),
       (3, 1, 33, 93),
       (3, 1, 34, 158),
       (3, 1, 35, 4),
       (3, 1, 36, 146),
       (3, 1, 37, 188),
       (3, 1, 38, 121),
       (3, 1, 39, 168),
       (3, 1, 40, 224),
       (3, 1, 41, 116),
       (3, 1, 42, 69),
       (3, 1, 43, 47),
       (3, 1, 44, 193),
       (3, 1, 45, 90),
       (3, 2, 1, 90),
       (3, 2, 2, 193),
       (3, 2, 3, 47),
       (3, 2, 4, 69),
       (3, 2, 5, 116),
       (3, 2, 6, 224),
       (3, 2, 7, 168),
       (3, 2, 8, 121),
       (3, 2, 9, 188),
       (3, 2, 10, 146),
       (3, 2, 11, 4),
       (3, 2, 12, 158),
       (3, 2, 13, 158),
       (3, 2, 14, 93),
       (3, 2, 15, 103),
       (3, 2, 16, 223),
       (3, 2, 17, 178),
       (3, 2, 18, 243),
       (3, 2, 19, 243),
       (3, 2, 20, 219),
       (3, 2, 21, 9),
       (3, 2, 22, 105),
       (3, 2, 23, 60),
       (3, 2, 24, 234),
       (3, 2, 25, 244),
       (3, 2, 26, 89),
       (3, 2, 27, 65),
       (3, 2, 28, 110),
       (3, 2, 29, 157),
       (3, 2, 30, 157),
       (3, 2, 31, 258),
       (3, 2, 32, 169),
       (3, 2, 33, 85),
       (3, 2, 34, 39),
       (3, 2, 35, 181),
       (3, 2, 36, 164),
       (3, 2, 37, 118),
       (3, 2, 38, 24),
       (3, 2, 39, 6),
       (3, 2, 40, 109),
       (3, 2, 41, 122),
       (3, 2, 42, 20),
       (3, 2, 43, 172),
       (3, 2, 44, 228),
       (3, 2, 45, 108),
       (3, 2, 46, 194),
       (3, 2, 47, 92),
       (4, 1, 1, 195),
       (4, 1, 2, 11),
       (4, 1, 3, 198),
       (4, 1, 4, 49),
       (4, 1, 5, 79),
       (4, 1, 6, 111),
       (4, 1, 7, 248),
       (4, 1, 8, 53),
       (4, 1, 9, 174),
       (4, 1, 10, 76),
       (4, 1, 11, 76),
       (4, 1, 12, 67),
       (4, 1, 13, 71),
       (4, 1, 14, 233),
       (4, 1, 15, 7),
       (4, 1, 16, 2),
       (4, 1, 17, 260),
       (4, 1, 18, 157),
       (4, 1, 19, 65),
       (4, 1, 20, 209),
       (4, 1, 21, 57),
       (4, 1, 22, 134),
       (4, 1, 23, 59),
       (4, 1, 24, 83),
       (4, 1, 25, 187),
       (4, 1, 26, 253),
       (4, 1, 27, 21),
       (4, 2, 1, 21),
       (4, 2, 2, 253),
       (4, 2, 3, 187),
       (4, 2, 4, 59),
       (4, 2, 5, 134),
       (4, 2, 6, 57),
       (4, 2, 7, 209),
       (4, 2, 8, 65),
       (4, 2, 9, 110),
       (4, 2, 10, 157),
       (4, 2, 11, 260),
       (4, 2, 12, 2),
       (4, 2, 13, 7),
       (4, 2, 14, 233),
       (4, 2, 15, 71),
       (4, 2, 16, 67),
       (4, 2, 17, 76),
       (4, 2, 18, 174),
       (4, 2, 19, 53),
       (4, 2, 20, 248),
       (4, 2, 21, 111),
       (4, 2, 22, 79),
       (4, 2, 23, 49),
       (4, 2, 24, 198),
       (4, 2, 25, 11),
       (4, 2, 26, 195),
       (5, 1, 1, 150),
       (5, 1, 2, 40),
       (5, 1, 3, 151),
       (5, 1, 4, 96),
       (5, 1, 5, 55),
       (5, 1, 6, 46),
       (5, 1, 7, 105),
       (5, 1, 8, 9),
       (5, 1, 9, 219),
       (5, 1, 10, 243),
       (5, 1, 11, 243),
       (5, 1, 12, 178),
       (5, 1, 13, 32),
       (5, 1, 14, 229),
       (5, 1, 15, 154),
       (5, 1, 16, 119),
       (5, 1, 17, 257),
       (5, 2, 1, 257),
       (5, 2, 2, 119),
       (5, 2, 3, 154),
       (5, 2, 4, 32),
       (5, 2, 5, 223),
       (5, 2, 6, 178),
       (5, 2, 7, 243),
       (5, 2, 8, 243),
       (5, 2, 9, 219),
       (5, 2, 10, 9),
       (5, 2, 11, 105),
       (5, 2, 12, 46),
       (5, 2, 13, 55),
       (5, 2, 14, 96),
       (5, 2, 15, 151),
       (5, 2, 16, 40),
       (5, 2, 17, 150),
       (6, 1, 1, 76),
       (6, 1, 2, 76),
       (6, 1, 3, 67),
       (6, 1, 4, 71),
       (6, 1, 5, 233),
       (6, 1, 6, 7),
       (6, 1, 7, 2),
       (6, 1, 8, 3),
       (6, 1, 9, 216),
       (6, 1, 10, 225),
       (6, 1, 11, 137),
       (6, 1, 12, 138),
       (6, 1, 13, 65),
       (6, 1, 14, 209),
       (6, 1, 15, 57),
       (6, 1, 16, 17),
       (6, 1, 17, 167),
       (6, 1, 18, 143),
       (6, 1, 19, 156),
       (6, 1, 20, 125),
       (6, 1, 21, 145),
       (6, 1, 22, 74),
       (6, 1, 23, 199),
       (6, 1, 24, 84),
       (6, 2, 1, 84),
       (6, 2, 2, 199),
       (6, 2, 3, 74),
       (6, 2, 4, 145),
       (6, 2, 5, 125),
       (6, 2, 6, 156),
       (6, 2, 7, 143),
       (6, 2, 8, 17),
       (6, 2, 9, 57),
       (6, 2, 10, 209),
       (6, 2, 11, 65),
       (6, 2, 12, 138),
       (6, 2, 13, 137),
       (6, 2, 14, 225),
       (6, 2, 15, 216),
       (6, 2, 16, 3),
       (6, 2, 17, 2),
       (6, 2, 18, 7),
       (6, 2, 19, 233),
       (6, 2, 20, 71),
       (6, 2, 21, 67),
       (6, 2, 22, 76),
       (7, 1, 1, 184),
       (7, 1, 2, 197),
       (7, 1, 3, 88),
       (7, 1, 4, 14),
       (7, 1, 5, 82),
       (7, 1, 6, 132),
       (7, 1, 7, 2),
       (7, 1, 8, 260),
       (7, 1, 9, 157),
       (7, 1, 10, 258),
       (7, 1, 11, 1),
       (7, 1, 12, 155),
       (7, 1, 13, 217),
       (7, 1, 14, 34),
       (7, 1, 15, 156),
       (7, 1, 16, 125),
       (7, 1, 17, 145),
       (7, 1, 18, 74),
       (7, 1, 19, 199),
       (7, 1, 20, 84),
       (7, 1, 21, 182),
       (7, 1, 22, 211),
       (7, 1, 23, 238),
       (7, 1, 24, 201),
       (7, 1, 25, 261),
       (7, 1, 26, 140),
       (7, 1, 27, 23),
       (7, 1, 28, 33),
       (7, 1, 29, 98),
       (7, 1, 30, 129),
       (7, 1, 31, 231),
       (7, 2, 1, 231),
       (7, 2, 2, 129),
       (7, 2, 3, 98),
       (7, 2, 4, 33),
       (7, 2, 5, 23),
       (7, 2, 6, 140),
       (7, 2, 7, 261),
       (7, 2, 8, 201),
       (7, 2, 9, 117),
       (7, 2, 10, 211),
       (7, 2, 11, 182),
       (7, 2, 12, 84),
       (7, 2, 13, 199),
       (7, 2, 14, 74),
       (7, 2, 15, 145),
       (7, 2, 16, 125),
       (7, 2, 17, 156),
       (7, 2, 18, 34),
       (7, 2, 19, 217),
       (7, 2, 20, 155),
       (7, 2, 21, 1),
       (7, 2, 22, 258),
       (7, 2, 23, 157),
       (7, 2, 24, 260),
       (7, 2, 25, 2),
       (7, 2, 26, 132),
       (7, 2, 27, 82),
       (7, 2, 28, 14),
       (7, 2, 29, 88),
       (7, 2, 30, 197),
       (7, 2, 31, 184),
       (8, 1, 1, 36),
       (8, 1, 2, 252),
       (8, 1, 3, 115),
       (8, 1, 4, 124),
       (8, 1, 5, 25),
       (8, 1, 6, 191),
       (8, 1, 7, 51),
       (8, 1, 8, 12),
       (8, 1, 9, 43),
       (8, 1, 10, 220),
       (8, 1, 11, 31),
       (8, 1, 12, 242),
       (8, 1, 13, 54),
       (8, 1, 14, 29),
       (8, 1, 15, 22),
       (8, 1, 16, 37),
       (8, 1, 17, 135),
       (8, 1, 18, 9),
       (8, 1, 19, 41),
       (8, 1, 20, 64),
       (8, 1, 21, 81),
       (8, 1, 22, 230),
       (8, 1, 23, 56),
       (8, 1, 24, 158),
       (8, 1, 25, 4),
       (8, 1, 26, 232),
       (8, 1, 27, 173),
       (8, 1, 28, 256),
       (8, 2, 1, 256),
       (8, 2, 2, 126),
       (8, 2, 3, 173),
       (8, 2, 4, 232),
       (8, 2, 5, 4),
       (8, 2, 6, 158),
       (8, 2, 7, 158),
       (8, 2, 8, 56),
       (8, 2, 9, 230),
       (8, 2, 10, 81),
       (8, 2, 11, 64),
       (8, 2, 12, 41),
       (8, 2, 13, 9),
       (8, 2, 14, 135),
       (8, 2, 15, 37),
       (8, 2, 16, 22),
       (8, 2, 17, 99),
       (8, 2, 18, 29),
       (8, 2, 19, 54),
       (8, 2, 20, 242),
       (8, 2, 21, 31),
       (8, 2, 22, 220),
       (8, 2, 23, 43),
       (8, 2, 24, 12),
       (8, 2, 25, 51),
       (8, 2, 26, 191),
       (8, 2, 27, 25),
       (8, 2, 28, 124),
       (8, 2, 29, 115),
       (8, 2, 30, 252),
       (8, 2, 31, 36),
       (9, 1, 1, 195),
       (9, 1, 2, 11),
       (9, 1, 3, 198),
       (9, 1, 4, 49),
       (9, 1, 5, 79),
       (9, 1, 6, 111),
       (9, 1, 7, 248),
       (9, 1, 8, 53),
       (9, 1, 9, 174),
       (9, 1, 10, 76),
       (9, 1, 11, 67),
       (9, 1, 12, 71),
       (9, 1, 13, 233),
       (9, 1, 14, 7),
       (9, 1, 15, 2),
       (9, 1, 16, 3),
       (9, 1, 17, 216),
       (9, 1, 18, 225),
       (9, 1, 19, 137),
       (9, 1, 20, 138),
       (9, 1, 21, 89),
       (9, 1, 22, 244),
       (9, 1, 23, 234),
       (9, 1, 24, 60),
       (9, 1, 25, 46),
       (9, 1, 26, 55),
       (9, 1, 27, 96),
       (9, 1, 28, 151),
       (9, 1, 29, 149),
       (9, 1, 30, 131),
       (9, 1, 31, 131),
       (9, 1, 32, 10),
       (9, 1, 33, 147),
       (9, 1, 34, 235),
       (9, 1, 35, 212),
       (9, 1, 36, 27),
       (9, 1, 37, 72),
       (9, 1, 38, 204),
       (9, 2, 1, 204),
       (9, 2, 2, 72),
       (9, 2, 3, 27),
       (9, 2, 4, 212),
       (9, 2, 5, 235),
       (9, 2, 6, 147),
       (9, 2, 7, 10),
       (9, 2, 8, 131),
       (9, 2, 9, 131),
       (9, 2, 10, 149),
       (9, 2, 11, 151),
       (9, 2, 12, 96),
       (9, 2, 13, 55),
       (9, 2, 14, 46),
       (9, 2, 15, 60),
       (9, 2, 16, 234),
       (9, 2, 17, 244),
       (9, 2, 18, 89),
       (9, 2, 19, 138),
       (9, 2, 20, 137),
       (9, 2, 21, 225),
       (9, 2, 22, 216),
       (9, 2, 23, 3),
       (9, 2, 24, 2),
       (9, 2, 25, 7),
       (9, 2, 26, 233),
       (9, 2, 27, 71),
       (9, 2, 28, 67),
       (9, 2, 29, 76),
       (9, 2, 30, 174),
       (9, 2, 31, 53),
       (9, 2, 32, 248),
       (9, 2, 33, 111),
       (9, 2, 34, 79),
       (9, 2, 35, 49),
       (9, 2, 36, 198),
       (9, 2, 37, 11),
       (9, 2, 38, 195),
       (10, 1, 1, 195),
       (10, 1, 2, 11),
       (10, 1, 3, 198),
       (10, 1, 4, 49),
       (10, 1, 5, 79),
       (10, 1, 6, 111),
       (10, 1, 7, 248),
       (10, 1, 8, 53),
       (10, 1, 9, 174),
       (10, 1, 10, 76),
       (10, 1, 11, 67),
       (10, 1, 12, 71),
       (10, 1, 13, 233),
       (10, 1, 14, 7),
       (10, 1, 15, 2),
       (10, 1, 16, 260),
       (10, 1, 17, 157),
       (10, 1, 18, 65),
       (10, 1, 19, 209),
       (10, 1, 20, 57),
       (10, 1, 21, 134),
       (10, 1, 22, 215),
       (10, 1, 23, 240),
       (10, 1, 24, 160),
       (10, 1, 25, 153),
       (10, 1, 26, 40),
       (10, 1, 27, 150),
       (10, 1, 28, 262),
       (10, 1, 29, 106),
       (10, 1, 30, 131),
       (10, 1, 31, 10),
       (10, 1, 32, 78),
       (10, 1, 33, 158),
       (10, 1, 34, 208),
       (10, 1, 35, 227),
       (10, 1, 36, 246),
       (10, 1, 37, 19),
       (10, 1, 38, 254),
       (10, 1, 39, 148),
       (10, 1, 40, 70),
       (10, 1, 41, 73),
       (10, 1, 42, 213),
       (10, 1, 43, 86),
       (10, 1, 44, 87),
       (10, 1, 45, 210),
       (10, 1, 46, 192),
       (10, 2, 1, 192),
       (10, 2, 2, 221),
       (10, 2, 3, 210),
       (10, 2, 4, 87),
       (10, 2, 5, 86),
       (10, 2, 6, 213),
       (10, 2, 7, 73),
       (10, 2, 8, 70),
       (10, 2, 9, 148),
       (10, 2, 10, 254),
       (10, 2, 11, 19),
       (10, 2, 12, 246),
       (10, 2, 13, 227),
       (10, 2, 14, 208),
       (10, 2, 15, 35),
       (10, 2, 16, 158),
       (10, 2, 17, 78),
       (10, 2, 18, 10),
       (10, 2, 19, 131),
       (10, 2, 20, 106),
       (10, 2, 21, 262),
       (10, 2, 22, 150),
       (10, 2, 23, 40),
       (10, 2, 24, 153),
       (10, 2, 25, 160),
       (10, 2, 26, 240),
       (10, 2, 27, 215),
       (10, 2, 28, 134),
       (10, 2, 29, 57),
       (10, 2, 30, 209),
       (10, 2, 31, 65),
       (10, 2, 32, 110),
       (10, 2, 33, 157),
       (10, 2, 34, 260),
       (10, 2, 35, 2),
       (10, 2, 36, 7),
       (10, 2, 37, 233),
       (10, 2, 38, 71),
       (10, 2, 39, 67),
       (10, 2, 40, 76),
       (10, 2, 41, 174),
       (10, 2, 42, 53),
       (10, 2, 43, 248),
       (10, 2, 44, 111),
       (10, 2, 45, 79),
       (10, 2, 46, 49),
       (10, 2, 47, 198),
       (10, 2, 48, 11),
       (10, 2, 49, 195),
       (11, 1, 1, 205),
       (11, 1, 2, 218),
       (11, 1, 3, 28),
       (11, 1, 4, 162),
       (11, 1, 5, 107),
       (11, 1, 6, 166),
       (11, 1, 7, 50),
       (11, 1, 8, 133),
       (11, 1, 9, 143),
       (11, 1, 10, 17),
       (11, 1, 11, 57),
       (11, 1, 12, 112),
       (11, 1, 13, 58),
       (11, 1, 14, 239),
       (11, 1, 15, 62),
       (11, 1, 16, 183),
       (11, 1, 17, 40),
       (11, 1, 18, 150),
       (11, 1, 19, 262),
       (11, 1, 20, 262),
       (11, 1, 21, 241),
       (11, 1, 22, 80),
       (11, 1, 23, 250),
       (11, 1, 24, 238),
       (11, 1, 25, 201),
       (11, 1, 26, 261),
       (11, 1, 27, 140),
       (11, 1, 28, 23),
       (11, 2, 1, 23),
       (11, 2, 2, 140),
       (11, 2, 3, 261),
       (11, 2, 4, 201),
       (11, 2, 5, 250),
       (11, 2, 6, 80),
       (11, 2, 7, 241),
       (11, 2, 8, 262),
       (11, 2, 9, 262),
       (11, 2, 10, 150),
       (11, 2, 11, 40),
       (11, 2, 12, 183),
       (11, 2, 13, 62),
       (11, 2, 14, 239),
       (11, 2, 15, 58),
       (11, 2, 16, 112),
       (11, 2, 17, 57),
       (11, 2, 18, 17),
       (11, 2, 19, 167),
       (11, 2, 20, 143),
       (11, 2, 21, 133),
       (11, 2, 22, 50),
       (11, 2, 23, 166),
       (11, 2, 24, 107),
       (11, 2, 25, 162),
       (11, 2, 26, 28),
       (11, 2, 27, 218),
       (11, 2, 28, 205),
       (12, 1, 1, 190),
       (12, 1, 2, 171),
       (12, 1, 3, 26),
       (12, 1, 4, 68),
       (12, 1, 5, 42),
       (12, 1, 6, 48),
       (12, 1, 7, 263),
       (12, 1, 8, 95),
       (12, 1, 9, 30),
       (12, 1, 10, 200),
       (12, 1, 11, 163),
       (12, 1, 12, 132),
       (12, 1, 13, 2),
       (12, 1, 14, 3),
       (12, 1, 15, 216),
       (12, 1, 16, 225),
       (12, 1, 17, 44),
       (12, 1, 18, 100),
       (12, 1, 19, 99),
       (12, 1, 20, 22),
       (12, 1, 21, 214),
       (12, 1, 22, 236),
       (12, 1, 23, 257),
       (12, 1, 24, 119),
       (12, 1, 25, 154),
       (12, 1, 26, 32),
       (12, 1, 27, 103),
       (12, 1, 28, 93),
       (12, 1, 29, 158),
       (12, 2, 1, 158),
       (12, 2, 2, 93),
       (12, 2, 3, 103),
       (12, 2, 4, 229),
       (12, 2, 5, 154),
       (12, 2, 6, 119),
       (12, 2, 7, 257),
       (12, 2, 8, 236),
       (12, 2, 9, 214),
       (12, 2, 10, 114),
       (12, 2, 11, 22),
       (12, 2, 12, 99),
       (12, 2, 13, 99),
       (12, 2, 14, 100),
       (12, 2, 15, 44),
       (12, 2, 16, 225),
       (12, 2, 17, 216),
       (12, 2, 18, 3),
       (12, 2, 19, 2),
       (12, 2, 20, 132),
       (12, 2, 21, 163),
       (12, 2, 22, 200),
       (12, 2, 23, 30),
       (12, 2, 24, 95),
       (12, 2, 25, 263),
       (12, 2, 26, 48),
       (12, 2, 27, 42),
       (12, 2, 28, 68),
       (12, 2, 29, 26),
       (12, 2, 30, 171),
       (12, 2, 31, 190),
       (13, 1, 1, 190),
       (13, 1, 2, 171),
       (13, 1, 3, 26),
       (13, 1, 4, 68),
       (13, 1, 5, 42),
       (13, 1, 6, 48),
       (13, 1, 7, 263),
       (13, 1, 8, 95),
       (13, 1, 9, 30),
       (13, 1, 10, 200),
       (13, 2, 1, 200),
       (13, 2, 2, 30),
       (13, 2, 3, 95),
       (13, 2, 4, 263),
       (13, 2, 5, 48),
       (13, 2, 6, 42),
       (13, 2, 7, 68),
       (13, 2, 8, 26),
       (13, 2, 9, 171),
       (13, 2, 10, 190),
       (14, 1, 1, 190),
       (14, 1, 2, 171),
       (14, 1, 3, 26),
       (14, 1, 4, 68),
       (14, 1, 5, 42),
       (14, 1, 6, 48),
       (14, 1, 7, 263),
       (14, 1, 8, 95),
       (14, 1, 9, 30),
       (14, 1, 10, 200),
       (14, 1, 11, 163),
       (14, 1, 12, 132),
       (14, 1, 13, 2),
       (14, 1, 14, 260),
       (14, 1, 15, 157),
       (14, 1, 16, 65),
       (14, 1, 17, 89),
       (14, 1, 18, 244),
       (14, 1, 19, 234),
       (14, 1, 20, 60),
       (14, 1, 21, 105),
       (14, 1, 22, 135),
       (14, 1, 23, 37),
       (14, 1, 24, 214),
       (14, 1, 25, 236),
       (14, 1, 26, 257),
       (14, 1, 27, 119),
       (14, 1, 28, 222),
       (14, 1, 29, 127),
       (14, 1, 30, 45),
       (14, 1, 31, 70),
       (14, 1, 32, 73),
       (14, 1, 33, 16),
       (14, 1, 34, 94),
       (14, 1, 35, 247),
       (14, 2, 1, 247),
       (14, 2, 2, 94),
       (14, 2, 3, 16),
       (14, 2, 4, 73),
       (14, 2, 5, 70),
       (14, 2, 6, 45),
       (14, 2, 7, 127),
       (14, 2, 8, 222),
       (14, 2, 9, 119),
       (14, 2, 10, 257),
       (14, 2, 11, 257),
       (14, 2, 12, 236),
       (14, 2, 13, 214),
       (14, 2, 14, 114),
       (14, 2, 15, 37),
       (14, 2, 16, 135),
       (14, 2, 17, 105),
       (14, 2, 18, 60),
       (14, 2, 19, 234),
       (14, 2, 20, 244),
       (14, 2, 21, 89),
       (14, 2, 22, 65),
       (14, 2, 23, 110),
       (14, 2, 24, 157),
       (14, 2, 25, 260),
       (14, 2, 26, 2),
       (14, 2, 27, 132),
       (14, 2, 28, 163),
       (14, 2, 29, 200),
       (14, 2, 30, 30),
       (14, 2, 31, 95),
       (14, 2, 32, 263),
       (14, 2, 33, 48),
       (14, 2, 34, 42),
       (14, 2, 35, 68),
       (14, 2, 36, 26),
       (14, 2, 37, 171),
       (14, 2, 38, 190),
       (16, 1, 1, 118),
       (16, 1, 2, 164),
       (16, 1, 3, 181),
       (16, 1, 4, 39),
       (16, 1, 5, 85),
       (16, 1, 6, 169),
       (16, 1, 7, 258),
       (16, 1, 8, 157),
       (16, 1, 9, 157),
       (16, 1, 10, 65),
       (16, 1, 11, 209),
       (16, 1, 12, 57),
       (16, 1, 13, 134),
       (16, 1, 14, 215),
       (16, 1, 15, 240),
       (16, 1, 16, 160),
       (16, 1, 17, 153),
       (16, 1, 18, 40),
       (16, 1, 19, 150),
       (16, 1, 20, 262),
       (16, 1, 21, 106),
       (16, 1, 22, 131),
       (16, 1, 23, 10),
       (16, 1, 24, 147),
       (16, 1, 25, 235),
       (16, 1, 26, 212),
       (16, 1, 27, 27),
       (16, 1, 28, 72),
       (16, 1, 29, 204),
       (16, 2, 1, 204),
       (16, 2, 2, 72),
       (16, 2, 3, 27),
       (16, 2, 4, 212),
       (16, 2, 5, 235),
       (16, 2, 6, 147),
       (16, 2, 7, 10),
       (16, 2, 8, 131),
       (16, 2, 9, 106),
       (16, 2, 10, 262),
       (16, 2, 11, 150),
       (16, 2, 12, 40),
       (16, 2, 13, 153),
       (16, 2, 14, 160),
       (16, 2, 15, 240),
       (16, 2, 16, 215),
       (16, 2, 17, 134),
       (16, 2, 18, 57),
       (16, 2, 19, 209),
       (16, 2, 20, 65),
       (16, 2, 21, 110),
       (16, 2, 22, 157),
       (16, 2, 23, 157),
       (16, 2, 24, 258),
       (16, 2, 25, 169),
       (16, 2, 26, 85),
       (16, 2, 27, 39),
       (16, 2, 28, 181),
       (16, 2, 29, 164),
       (16, 2, 30, 118),
       (17, 1, 1, 92),
       (17, 1, 2, 194),
       (17, 1, 3, 108),
       (17, 1, 4, 228),
       (17, 1, 5, 172),
       (17, 1, 6, 20),
       (17, 1, 7, 122),
       (17, 1, 8, 109),
       (17, 1, 9, 6),
       (17, 1, 10, 24),
       (17, 1, 11, 118),
       (17, 1, 12, 164),
       (17, 1, 13, 181),
       (17, 1, 14, 39),
       (17, 1, 15, 85),
       (17, 1, 16, 169),
       (17, 1, 17, 258),
       (17, 1, 18, 157),
       (17, 1, 19, 61),
       (17, 1, 20, 137),
       (17, 1, 21, 206),
       (17, 1, 22, 177),
       (17, 1, 23, 22),
       (17, 1, 24, 214),
       (17, 1, 25, 236),
       (17, 1, 26, 257),
       (17, 1, 27, 119),
       (17, 1, 28, 222),
       (17, 1, 29, 127),
       (17, 1, 30, 45),
       (17, 1, 31, 70),
       (17, 1, 32, 73),
       (17, 1, 33, 213),
       (17, 1, 34, 86),
       (17, 1, 35, 87),
       (17, 1, 36, 210),
       (17, 1, 37, 192),
       (17, 2, 1, 192),
       (17, 2, 2, 221),
       (17, 2, 3, 210),
       (17, 2, 4, 87),
       (17, 2, 5, 86),
       (17, 2, 6, 213),
       (17, 2, 7, 73),
       (17, 2, 8, 70),
       (17, 2, 9, 45),
       (17, 2, 10, 127),
       (17, 2, 11, 222),
       (17, 2, 12, 119),
       (17, 2, 13, 257),
       (17, 2, 14, 236),
       (17, 2, 15, 214),
       (17, 2, 16, 114),
       (17, 2, 17, 22),
       (17, 2, 18, 177),
       (17, 2, 19, 206),
       (17, 2, 20, 66),
       (17, 2, 21, 137),
       (17, 2, 22, 61),
       (17, 2, 23, 157),
       (17, 2, 24, 258),
       (17, 2, 25, 169),
       (17, 2, 26, 85),
       (17, 2, 27, 39),
       (17, 2, 28, 181),
       (17, 2, 29, 164),
       (17, 2, 30, 118),
       (17, 2, 31, 24),
       (17, 2, 32, 6),
       (17, 2, 33, 109),
       (17, 2, 34, 122),
       (17, 2, 35, 20),
       (17, 2, 36, 172),
       (17, 2, 37, 228),
       (17, 2, 38, 108),
       (17, 2, 39, 92),
       (18, 1, 1, 161),
       (18, 1, 2, 144),
       (18, 1, 3, 237),
       (18, 1, 4, 245),
       (18, 1, 5, 5),
       (18, 1, 6, 152),
       (18, 1, 7, 189),
       (18, 1, 8, 251),
       (18, 1, 9, 176),
       (18, 1, 10, 54),
       (18, 1, 11, 29),
       (18, 1, 12, 99),
       (18, 1, 13, 206),
       (18, 1, 14, 66),
       (18, 1, 15, 137),
       (18, 1, 16, 138),
       (18, 1, 17, 65),
       (18, 1, 18, 110),
       (18, 1, 19, 13),
       (18, 1, 20, 1),
       (18, 1, 21, 155),
       (18, 1, 22, 217),
       (18, 1, 23, 34),
       (18, 1, 24, 133),
       (18, 1, 25, 142),
       (18, 1, 26, 159),
       (18, 1, 27, 179),
       (18, 1, 28, 139),
       (18, 1, 29, 249),
       (18, 2, 1, 249),
       (18, 2, 2, 139),
       (18, 2, 3, 179),
       (18, 2, 4, 159),
       (18, 2, 5, 142),
       (18, 2, 6, 133),
       (18, 2, 7, 34),
       (18, 2, 8, 217),
       (18, 2, 9, 155),
       (18, 2, 10, 1),
       (18, 2, 11, 13),
       (18, 2, 12, 65),
       (18, 2, 13, 138),
       (18, 2, 14, 137),
       (18, 2, 15, 137),
       (18, 2, 16, 206),
       (18, 2, 17, 99),
       (18, 2, 18, 29),
       (18, 2, 19, 54),
       (18, 2, 20, 176),
       (18, 2, 21, 251),
       (18, 2, 22, 189),
       (18, 2, 23, 152),
       (18, 2, 24, 5),
       (18, 2, 25, 245),
       (18, 2, 26, 237),
       (18, 2, 27, 144),
       (18, 2, 28, 161),
       (19, 1, 1, 90),
       (19, 1, 2, 193),
       (19, 1, 3, 47),
       (19, 1, 4, 69),
       (19, 1, 5, 207),
       (19, 1, 6, 141),
       (19, 1, 7, 75),
       (19, 1, 8, 175),
       (19, 1, 9, 203),
       (19, 1, 10, 126),
       (19, 1, 11, 173),
       (19, 1, 12, 232),
       (19, 1, 13, 4),
       (19, 1, 14, 158),
       (19, 1, 15, 158),
       (19, 1, 16, 78),
       (19, 1, 17, 10),
       (19, 1, 18, 131),
       (19, 1, 19, 106),
       (19, 1, 20, 262),
       (19, 1, 21, 241),
       (19, 1, 22, 80),
       (19, 1, 23, 250),
       (19, 1, 24, 117),
       (19, 1, 25, 211),
       (19, 1, 26, 130),
       (19, 1, 27, 185),
       (19, 2, 1, 185),
       (19, 2, 2, 123),
       (19, 2, 3, 130),
       (19, 2, 4, 211),
       (19, 2, 5, 250),
       (19, 2, 6, 80),
       (19, 2, 7, 241),
       (19, 2, 8, 262),
       (19, 2, 9, 106),
       (19, 2, 10, 131),
       (19, 2, 11, 10),
       (19, 2, 12, 78),
       (19, 2, 13, 158),
       (19, 2, 14, 4),
       (19, 2, 15, 232),
       (19, 2, 16, 173),
       (19, 2, 17, 126),
       (19, 2, 18, 203),
       (19, 2, 19, 175),
       (19, 2, 20, 75),
       (19, 2, 21, 141),
       (19, 2, 22, 207),
       (19, 2, 23, 69),
       (19, 2, 24, 47),
       (19, 2, 25, 193),
       (19, 2, 26, 90),
       (20, 1, 1, 165),
       (20, 1, 2, 97),
       (20, 1, 3, 242),
       (20, 1, 4, 54),
       (20, 1, 5, 29),
       (20, 1, 6, 99),
       (20, 1, 7, 100),
       (20, 1, 8, 44),
       (20, 1, 9, 225),
       (20, 1, 10, 216),
       (20, 1, 11, 3),
       (20, 1, 12, 2),
       (20, 1, 13, 132),
       (20, 1, 14, 163),
       (20, 1, 15, 200),
       (20, 1, 16, 30),
       (20, 1, 17, 95),
       (20, 1, 18, 263),
       (20, 1, 19, 48),
       (20, 1, 20, 42),
       (20, 1, 21, 68),
       (20, 1, 22, 26),
       (20, 1, 23, 171),
       (20, 1, 24, 190),
       (20, 2, 1, 190),
       (20, 2, 2, 171),
       (20, 2, 3, 26),
       (20, 2, 4, 68),
       (20, 2, 5, 42),
       (20, 2, 6, 48),
       (20, 2, 7, 263),
       (20, 2, 8, 95),
       (20, 2, 9, 30),
       (20, 2, 10, 200),
       (20, 2, 11, 200),
       (20, 2, 12, 163),
       (20, 2, 13, 132),
       (20, 2, 14, 2),
       (20, 2, 15, 3),
       (20, 2, 16, 216),
       (20, 2, 17, 225),
       (20, 2, 18, 44),
       (20, 2, 19, 100),
       (20, 2, 20, 99),
       (20, 2, 21, 29),
       (20, 2, 22, 54),
       (20, 2, 23, 242),
       (20, 2, 24, 97),
       (20, 2, 25, 165),
       (22, 2, 1, 8),
       (22, 2, 2, 102),
       (22, 2, 3, 255),
       (22, 2, 4, 186),
       (22, 2, 5, 15),
       (22, 2, 6, 226),
       (22, 2, 7, 38),
       (22, 2, 8, 104),
       (22, 2, 9, 101),
       (22, 2, 10, 170),
       (22, 2, 11, 18),
       (22, 2, 12, 180),
       (22, 2, 13, 77),
       (22, 2, 14, 99),
       (22, 2, 15, 100),
       (22, 2, 16, 44),
       (22, 2, 17, 225),
       (22, 2, 18, 137),
       (22, 2, 19, 138),
       (22, 2, 20, 65),
       (22, 2, 21, 209),
       (22, 2, 22, 57),
       (22, 2, 23, 134),
       (22, 2, 24, 59),
       (22, 2, 25, 83),
       (22, 2, 26, 187),
       (22, 2, 27, 253),
       (22, 2, 28, 21),
       (22, 2, 29, 74),
       (22, 2, 30, 199),
       (22, 2, 31, 84),
       (22, 2, 32, 182),
       (22, 2, 33, 130),
       (22, 2, 34, 123),
       (22, 2, 35, 185),
       (22, 2, 36, 136),
       (22, 2, 37, 259),
       (22, 2, 38, 196),
       (22, 2, 39, 128),
       (22, 2, 40, 52),
       (22, 2, 41, 120),
       (22, 1, 1, 120),
       (22, 1, 2, 52),
       (22, 1, 3, 128),
       (22, 1, 4, 196),
       (22, 1, 5, 259),
       (22, 1, 6, 136),
       (22, 1, 7, 185),
       (22, 1, 8, 123),
       (22, 1, 9, 130),
       (22, 1, 10, 182),
       (22, 1, 11, 84),
       (22, 1, 12, 199),
       (22, 1, 13, 74),
       (22, 1, 14, 253),
       (22, 1, 15, 187),
       (22, 1, 16, 59),
       (22, 1, 17, 134),
       (22, 1, 18, 57),
       (22, 1, 19, 209),
       (22, 1, 20, 65),
       (22, 1, 21, 138),
       (22, 1, 22, 137),
       (22, 1, 23, 225),
       (22, 1, 24, 44),
       (22, 1, 25, 100),
       (22, 1, 26, 99),
       (22, 1, 27, 77),
       (22, 1, 28, 180),
       (22, 1, 29, 18),
       (22, 1, 30, 170),
       (22, 1, 31, 101),
       (22, 1, 32, 104),
       (22, 1, 33, 38),
       (22, 1, 34, 226),
       (22, 1, 35, 15),
       (22, 1, 36, 186),
       (22, 1, 37, 255),
       (22, 1, 38, 102),
       (22, 1, 39, 8),
       (24, 2, 1, 84),
       (24, 2, 2, 199),
       (24, 2, 3, 74),
       (24, 2, 4, 145),
       (24, 2, 5, 125),
       (24, 2, 6, 156),
       (24, 2, 7, 34),
       (24, 2, 8, 217),
       (24, 2, 9, 155),
       (24, 2, 10, 1),
       (24, 2, 11, 13),
       (24, 2, 12, 65),
       (24, 2, 13, 89),
       (24, 2, 14, 244),
       (24, 2, 15, 234),
       (24, 2, 16, 60),
       (24, 2, 17, 105),
       (24, 2, 18, 9),
       (24, 2, 19, 41),
       (24, 2, 20, 64),
       (24, 2, 21, 81),
       (24, 2, 22, 230),
       (24, 2, 23, 56),
       (24, 2, 24, 158),
       (24, 2, 25, 208),
       (24, 2, 26, 227),
       (24, 2, 27, 246),
       (24, 2, 28, 19),
       (24, 2, 29, 254),
       (24, 2, 30, 148),
       (24, 2, 31, 70),
       (24, 2, 32, 16),
       (24, 1, 1, 16),
       (24, 1, 2, 73),
       (24, 1, 3, 70),
       (24, 1, 4, 148),
       (24, 1, 5, 254),
       (24, 1, 6, 19),
       (24, 1, 7, 246),
       (24, 1, 8, 227),
       (24, 1, 9, 208),
       (24, 1, 10, 35),
       (24, 1, 11, 158),
       (24, 1, 12, 56),
       (24, 1, 13, 230),
       (24, 1, 14, 81),
       (24, 1, 15, 64),
       (24, 1, 16, 41),
       (24, 1, 17, 9),
       (24, 1, 18, 105),
       (24, 1, 19, 60),
       (24, 1, 20, 234),
       (24, 1, 21, 244),
       (24, 1, 22, 89),
       (24, 1, 23, 65),
       (24, 1, 24, 110),
       (24, 1, 25, 13),
       (24, 1, 26, 1),
       (24, 1, 27, 155),
       (24, 1, 28, 217),
       (24, 1, 29, 34),
       (24, 1, 30, 156),
       (24, 1, 31, 125),
       (24, 1, 32, 145),
       (24, 1, 33, 74),
       (24, 1, 34, 199),
       (24, 1, 35, 84),
       (25, 2, 1, 202),
       (25, 2, 2, 91),
       (25, 2, 3, 63),
       (25, 2, 4, 214),
       (25, 2, 5, 243),
       (25, 2, 6, 178),
       (25, 2, 7, 32),
       (25, 2, 8, 103),
       (25, 2, 9, 93),
       (25, 2, 10, 158),
       (25, 2, 11, 208),
       (25, 2, 12, 227),
       (25, 2, 13, 246),
       (25, 2, 14, 19),
       (25, 2, 15, 254),
       (25, 2, 16, 148),
       (25, 2, 17, 70),
       (25, 2, 18, 73),
       (25, 2, 19, 16),
       (25, 2, 20, 94),
       (25, 2, 21, 247),
       (25, 1, 1, 247),
       (25, 1, 2, 94),
       (25, 1, 3, 16),
       (25, 1, 4, 73),
       (25, 1, 5, 70),
       (25, 1, 6, 148),
       (25, 1, 7, 254),
       (25, 1, 8, 19),
       (25, 1, 9, 246),
       (25, 1, 10, 227),
       (25, 1, 11, 208),
       (25, 1, 12, 35),
       (25, 1, 13, 158),
       (25, 1, 14, 93),
       (25, 1, 15, 103),
       (25, 1, 16, 223),
       (25, 1, 17, 178),
       (25, 1, 18, 243),
       (25, 1, 19, 214),
       (25, 1, 20, 63),
       (25, 1, 21, 91),
       (25, 1, 22, 202),
       (26, 2, 1, 202),
       (26, 2, 2, 91),
       (26, 2, 3, 63),
       (26, 2, 4, 214),
       (26, 2, 5, 114),
       (26, 2, 6, 37),
       (26, 2, 7, 135),
       (26, 2, 8, 105),
       (26, 2, 9, 46),
       (26, 2, 10, 55),
       (26, 2, 11, 96),
       (26, 2, 12, 151),
       (26, 2, 13, 149),
       (26, 2, 14, 131),
       (26, 2, 15, 106),
       (26, 2, 16, 262),
       (26, 2, 17, 241),
       (26, 2, 18, 80),
       (26, 2, 19, 250),
       (26, 2, 20, 117),
       (26, 2, 21, 211),
       (26, 2, 22, 130),
       (26, 2, 23, 123),
       (26, 2, 24, 185),
       (26, 2, 25, 136),
       (26, 2, 26, 259),
       (26, 2, 27, 196),
       (26, 2, 28, 128),
       (26, 2, 29, 52),
       (26, 2, 30, 120),
       (26, 1, 1, 120),
       (26, 1, 2, 52),
       (26, 1, 3, 128),
       (26, 1, 4, 196),
       (26, 1, 5, 259),
       (26, 1, 6, 136),
       (26, 1, 7, 185),
       (26, 1, 8, 123),
       (26, 1, 9, 130),
       (26, 1, 10, 211),
       (26, 1, 11, 250),
       (26, 1, 12, 80),
       (26, 1, 13, 241),
       (26, 1, 14, 262),
       (26, 1, 15, 106),
       (26, 1, 16, 131),
       (26, 1, 17, 149),
       (26, 1, 18, 151),
       (26, 1, 19, 96),
       (26, 1, 20, 55),
       (26, 1, 21, 46),
       (26, 1, 22, 105),
       (26, 1, 23, 135),
       (26, 1, 24, 37),
       (26, 1, 25, 214),
       (26, 1, 26, 63),
       (26, 1, 27, 91),
       (26, 1, 28, 202);

COMMIT;
